import axios from "@/util/ajax";

export default {
  //  停车场情况-列表
  tccqkListByPage(params) {
    return axios.get('/dash/parking/lot/situation/page', {params})
  },
  // 停车场情况-进场
  jcListByPage(params) {
    return axios.get('/dash/parking/lot/situation/parking/inrecord', {params})
  },
  // 停车场情况-出场
  ccListByPage(params) {
    return axios.get('/dash/parking/lot/situation/parking/outrecord', {params})
  },
  // 停车场情况-总览
  tccqkView(params) {
    return axios.get('/dash/parking/lot/situation/view', {params})
  },
  // 预约停车-分页列表
  yytcListByPage(params) {
    return axios.get('/opt/reservation/rules/page', {params})
  },
  // 预约停车-添加规则
  addRule(params) {
    return axios.post('/opt/reservation/rules/add', params)
  },
  // 预约停车-修改规则
  editRule(params) {
    return axios.post('/opt/reservation/rules/luohe/configuration/edit', params)
  },
  // 预约停车-删除规则
  deleteRule(params) {
    return axios.post('/opt/reservation/rules/delete', params)
  },
  // 预约订单-分页列表
  orderListByPage(params) {
    return axios.get('/opt/reservation/orders/page', {params})
  }
}
